Bug 52635 - Migrate ucs-school-umc-rooms to Python 3
Migrate ucs-school-umc-rooms to Python 3
Status: VERIFIED FIXED
Product: UCS@school
Classification: Unclassified
Component: General
UCS@school 5.0
Other Linux
: P5 normal (vote)
: UCS@school 5.0
Assigned To: Håkan Källberg
Florian Best
: interim-1
Depends on: 52617
Blocks: 52578
  Show dependency treegraph
 
Reported: 2021-01-12 15:24 CET by Florian Best
Modified: 2021-07-14 21:36 CEST (History)
0 users

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2021-01-12 15:24:50 CET
The package ucs-school-umc-rooms needs to be migrated to Python 3.

See: https://hutten.knut.univention.de/mediawiki/index.php/Python_3_Migration
Comment 2 Florian Best univentionstaff 2021-06-17 09:58:13 CEST
Merge Request from Hakan: https://git.knut.univention.de/univention/ucsschool/-/merge_requests/26

It's not possible to select and computers for adding them to any room. No computers are found. This is because there are bytestrings in the created LDAP filter.

In /var/log/univention/management-console-module-schoolrooms.log we see:

MODULE      ( INFO    ) : Getting all SchoolComputer of DEMOSCHOOL with filter '(&(|(name=*)(description=*)))'
LDAP        ( INFO    ) : uldap.search filter=(&(objectClass=sambaSamAccount)(sambaAcctFlags=[I          ])(&(objectClass=ucsschoolComputer)(&(|(cn=*)(description=*b''))))) base=cn=computers,ou=DEMOSCHOOL,l=school,l=dev scope=sub attr=[] unique=0 required=0 timeout=-1 sizelimit=0
Comment 3 Florian Best univentionstaff 2021-07-05 12:30:46 CEST
(In reply to Florian Best from comment #2)
> Merge Request from Hakan:
> https://git.knut.univention.de/univention/ucsschool/-/merge_requests/26
> 
> It's not possible to select and computers for adding them to any room. No
> computers are found. This is because there are bytestrings in the created
> LDAP filter.
> 
> In /var/log/univention/management-console-module-schoolrooms.log we see:
> 
> MODULE      ( INFO    ) : Getting all SchoolComputer of DEMOSCHOOL with
> filter '(&(|(name=*)(description=*)))'
> LDAP        ( INFO    ) : uldap.search
> filter=(&(objectClass=sambaSamAccount)(sambaAcctFlags=[I         
> ])(&(objectClass=ucsschoolComputer)(&(|(cn=*)(description=*b'')))))
> base=cn=computers,ou=DEMOSCHOOL,l=school,l=dev scope=sub attr=[] unique=0
> required=0 timeout=-1 sizelimit=0

That's an issue in the underlying ucsschool-lib and will be fixed in another bug.
Comment 4 Florian Best univentionstaff 2021-07-06 14:36:27 CEST
Your commits are:

ucs-school-umc-rooms (17.0.3)
276d92329dac | Bug #52635: migrate ucs-school-umc-rooms to Python3

OK: creation of room
OK: modification of room
OK: settting computers as teacher-computer
OK: removal of rooms
OK: prompt if no room exists
OK: search/filter for rooms
~FAIL: search/filter for computers. That's an issue in ucs-school-lib: https://git.knut.univention.de/univention/ucsschool/-/merge_requests/10#note_27352